summaryrefslogtreecommitdiff
path: root/release/src/router/busybox/scripts/kconfig/check.sh
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2015-01-03 13:58:15 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2015-01-03 13:58:15 +0100
commit4aca87515a5083ae0e31ce3177189fd43b6d05ac (patch)
tree7b1d9a31393ca090757dc6f0d3859b4fcd93f271 /release/src/router/busybox/scripts/kconfig/check.sh
parent008d0be72b2f160382c6e880765e96b64a050c65 (diff)
downloadtomato-4aca87515a5083ae0e31ce3177189fd43b6d05ac.tar.gz
tomato-4aca87515a5083ae0e31ce3177189fd43b6d05ac.tar.bz2
patch to Vanilla Tomato 1.28
Diffstat (limited to 'release/src/router/busybox/scripts/kconfig/check.sh')
-rwxr-xr-xrelease/src/router/busybox/scripts/kconfig/check.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/release/src/router/busybox/scripts/kconfig/check.sh b/release/src/router/busybox/scripts/kconfig/check.sh
new file mode 100755
index 00000000..fa59cbf9
--- /dev/null
+++ b/release/src/router/busybox/scripts/kconfig/check.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+# Needed for systems without gettext
+$* -xc -o /dev/null - > /dev/null 2>&1 << EOF
+#include <libintl.h>
+int main()
+{
+ gettext("");
+ return 0;
+}
+EOF
+if [ ! "$?" -eq "0" ]; then
+ echo -DKBUILD_NO_NLS;
+fi
+